forked from matter-labs/zksync-era
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
most impactful thing you can do is to increase people’s freedom
- Loading branch information
0 parents
commit f5a3668
Showing
952 changed files
with
168,992 additions
and
0 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,2 @@ | ||
[net] | ||
git-fetch-with-cli = true |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,36 @@ | ||
* | ||
!docker/prover/prover-entry.sh | ||
!docker/zk/entrypoint.sh | ||
!docker/local-node/entrypoint.sh | ||
!docker/contract-verifier/install-all-solc.sh | ||
!etc/test_config | ||
!etc/env/dev.env.example | ||
!etc/env/docker.env | ||
!etc/env/base | ||
!etc/tokens | ||
!etc/ERC20 | ||
!artifacts | ||
!keys | ||
keys/setup | ||
!bin/ | ||
!db/ | ||
!backups/ | ||
!core/ | ||
!yarn.lock | ||
!package.json | ||
!Cargo.lock | ||
!Cargo.toml | ||
!contracts/ | ||
# It's required to remove .git from contracts, | ||
# otherwise yarn tries to use .git parent directory that | ||
# doesn't exist. | ||
contracts/.git | ||
!infrastructure/local-setup-preparation | ||
!infrastructure/zk | ||
!sdk/zksync-rs | ||
!sdk/zksync-web3.js | ||
!etc/system-contracts/bootloader/build/artifacts | ||
!etc/system-contracts/artifacts-zk | ||
!cargo | ||
!bellman-cuda | ||
!core/bin/verification_key_generator_and_server/data/ |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,8 @@ | ||
./volumes/**/* | ||
node_modules | ||
**/node_modules/** | ||
build/ | ||
dist/ | ||
volumes/ | ||
.tslintrc.js | ||
bellman-cuda |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,2 @@ | ||
*.sol linguist-language=Solidity | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,14 @@ | ||
#!/bin/sh | ||
# | ||
# Pre-commit hook verifying that inappropriate code will not be committed. | ||
|
||
# Colors for the terminal output | ||
RED='\033[0;31m' | ||
NC='\033[0m' # No Color | ||
|
||
# Check that Rust formatting rules are not violated. | ||
if ! cargo fmt -- --check; then | ||
echo -e "${RED}Commit error!${NC}" | ||
echo "Please format the code via 'cargo fmt', cannot commit unformatted code" | ||
exit 1 | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,14 @@ | ||
#!/bin/sh | ||
# | ||
# Pre-push hook verifying that inappropriate code will not be pushed. | ||
|
||
# Colors for the terminal output | ||
RED='\033[0;31m' | ||
NC='\033[0m' # No Color | ||
|
||
# Check that prettier formatting rules are not violated. | ||
if ! zk fmt --check; then | ||
echo -e "${RED}Commit error!${NC}" | ||
echo "Please format the code via 'zk fmt', cannot push unformatted code" | ||
exit 1 | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,65 @@ | ||
# Editor directories and files | ||
.idea | ||
*.suo | ||
*.ntvs* | ||
*.njsproj | ||
*.sln | ||
.vscode | ||
.DS_Store | ||
*.bak | ||
node_modules | ||
*.log | ||
target | ||
a.out | ||
.gitconfig | ||
cobertura.xml | ||
tags | ||
*.orig | ||
|
||
zksync_pk.key | ||
dist | ||
todo | ||
|
||
Cargo.lock | ||
!/Cargo.lock | ||
!/core/bin/prover/Cargo.lock | ||
!/core/bin/circuit_synthesizer/Cargo.lock | ||
!/core/bin/setup_key_generator_and_server/Cargo.lock | ||
!/core/bin/verification_key_generator_and_server/Cargo.lock | ||
!/infrastructure/zksync-crypto/Cargo.lock | ||
|
||
/etc/env/* | ||
!/etc/env/dev.env.example | ||
!/etc/env/docker.env | ||
!/etc/env/ci.env | ||
!/etc/env/base | ||
/etc/tokens/localhost.json | ||
/etc/zksolc-bin/* | ||
/etc/solc-bin/* | ||
!/keys | ||
/keys/* | ||
!/keys/packed | ||
/tmp | ||
/volumes | ||
/logs | ||
/loadtest-config | ||
/sdk/binaryen | ||
|
||
.ipynb_checkpoints | ||
|
||
loadtest_accounts_* | ||
|
||
go_to_env.sh | ||
|
||
core/lib/storage/.env | ||
|
||
.zcli-config.json | ||
|
||
db/ | ||
db-ssd/ | ||
backups/ | ||
artifacts/ | ||
artifacts-zk/ | ||
cache-zk/ | ||
zksolc | ||
.github |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,12 @@ | ||
[submodule "sdk/binaryen"] | ||
path = sdk/binaryen | ||
url = [email protected]:WebAssembly/binaryen.git | ||
[submodule "etc/system-contracts"] | ||
path = etc/system-contracts | ||
url = [email protected]:matter-labs/system-contracts.git | ||
[submodule "etc/openzeppelin-contracts"] | ||
path = etc/openzeppelin-contracts | ||
url = [email protected]:matter-labs/openzeppelin-contracts.git | ||
[submodule "contracts"] | ||
path = contracts | ||
url = https://github.com/matter-labs/zksync-2-contracts.git |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,2 @@ | ||
# Ignore submodule | ||
bellman-cuda |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,2 @@ | ||
# Ignore submodule | ||
bellman-cuda |
Empty file.
Validating CODEOWNERS rules …
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
* @RomanBrodetski @perekopskiy |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,9 @@ | ||
# Contribution Guidelines | ||
|
||
Thank you for considering helping out with the source code! We are extremely grateful for any consideration of | ||
contributions to this repository. However, at this time, we generally do not accept external contributions. This policy | ||
will change in the future, so please check back regularly for updates. | ||
|
||
For security issues, please contact us at [[email protected]](mailto:[email protected]). | ||
|
||
Thank you for your support in accelerating the mass adoption of crypto for personal sovereignty! |
Oops, something went wrong.